# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/laptech/pbsa/DEXBot/dexbot/views/ui/forms/relative_orders_widget.ui'
#
# Created by: PyQt5 UI code generator 5.10
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_Form(object):
    def setupUi(self, Form):
        Form.setObjectName("Form")
        Form.resize(449, 714)
        self.horizontalLayout = QtWidgets.QHBoxLayout(Form)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.groupBox_3 = QtWidgets.QGroupBox(Form)
        self.groupBox_3.setObjectName("groupBox_3")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox_3)
        self.formLayout.setObjectName("formLayout")
        self.order_size_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_size_wrap.sizePolicy().hasHeightForWidth())
        self.order_size_wrap.setSizePolicy(sizePolicy)
        self.order_size_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.order_size_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.order_size_wrap.setObjectName("order_size_wrap")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.order_size_wrap)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.order_size_label = QtWidgets.QLabel(self.order_size_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_size_label.sizePolicy().hasHeightForWidth())
        self.order_size_label.setSizePolicy(sizePolicy)
        self.order_size_label.setMinimumSize(QtCore.QSize(0, 0))
        self.order_size_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.order_size_label.setObjectName("order_size_label")
        self.horizontalLayout_2.addWidget(self.order_size_label)
        self.order_size_tooltip = QtWidgets.QLabel(self.order_size_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_size_tooltip.sizePolicy().hasHeightForWidth())
        self.order_size_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.order_size_tooltip.setFont(font)
        self.order_size_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.order_size_tooltip.setObjectName("order_size_tooltip")
        self.horizontalLayout_2.addWidget(self.order_size_tooltip)
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.order_size_wrap)
        self.amount_input_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.amount_input_wrap.sizePolicy().hasHeightForWidth())
        self.amount_input_wrap.setSizePolicy(sizePolicy)
        self.amount_input_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.amount_input_wrap.setObjectName("amount_input_wrap")
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout(self.amount_input_wrap)
        self.horizontalLayout_11.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_11.setSpacing(9)
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        self.amount_input = QtWidgets.QDoubleSpinBox(self.amount_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.amount_input.sizePolicy().hasHeightForWidth())
        self.amount_input.setSizePolicy(sizePolicy)
        self.amount_input.setMinimumSize(QtCore.QSize(170, 0))
        self.amount_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.amount_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.amount_input.setDecimals(8)
        self.amount_input.setMaximum(1000000000.0)
        self.amount_input.setObjectName("amount_input")
        self.horizontalLayout_11.addWidget(self.amount_input)
        self.amount_input_asset_label = QtWidgets.QLabel(self.amount_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.amount_input_asset_label.sizePolicy().hasHeightForWidth())
        self.amount_input_asset_label.setSizePolicy(sizePolicy)
        self.amount_input_asset_label.setMinimumSize(QtCore.QSize(120, 0))
        self.amount_input_asset_label.setText("")
        self.amount_input_asset_label.setObjectName("amount_input_asset_label")
        self.horizontalLayout_11.addWidget(self.amount_input_asset_label)
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.amount_input_wrap)
        self.relative_order_size_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.relative_order_size_wrap.sizePolicy().hasHeightForWidth())
        self.relative_order_size_wrap.setSizePolicy(sizePolicy)
        self.relative_order_size_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.relative_order_size_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.relative_order_size_wrap.setObjectName("relative_order_size_wrap")
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout(self.relative_order_size_wrap)
        self.horizontalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_6.setSpacing(0)
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem)
        self.relative_order_size_tooltip = QtWidgets.QLabel(self.relative_order_size_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.relative_order_size_tooltip.sizePolicy().hasHeightForWidth())
        self.relative_order_size_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.relative_order_size_tooltip.setFont(font)
        self.relative_order_size_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.relative_order_size_tooltip.setObjectName("relative_order_size_tooltip")
        self.horizontalLayout_6.addWidget(self.relative_order_size_tooltip)
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.relative_order_size_wrap)
        self.relative_order_size_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.relative_order_size_input.setObjectName("relative_order_size_input")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.relative_order_size_input)
        self.spread_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spread_wrap.sizePolicy().hasHeightForWidth())
        self.spread_wrap.setSizePolicy(sizePolicy)
        self.spread_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.spread_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.spread_wrap.setObjectName("spread_wrap")
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.spread_wrap)
        self.horizontalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_9.setSpacing(0)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.spread_label = QtWidgets.QLabel(self.spread_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spread_label.sizePolicy().hasHeightForWidth())
        self.spread_label.setSizePolicy(sizePolicy)
        self.spread_label.setMinimumSize(QtCore.QSize(0, 0))
        self.spread_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.spread_label.setObjectName("spread_label")
        self.horizontalLayout_9.addWidget(self.spread_label)
        self.spread_tooltip = QtWidgets.QLabel(self.spread_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spread_tooltip.sizePolicy().hasHeightForWidth())
        self.spread_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.spread_tooltip.setFont(font)
        self.spread_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.spread_tooltip.setObjectName("spread_tooltip")
        self.horizontalLayout_9.addWidget(self.spread_tooltip)
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.spread_wrap)
        self.spread_input = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spread_input.sizePolicy().hasHeightForWidth())
        self.spread_input.setSizePolicy(sizePolicy)
        self.spread_input.setMinimumSize(QtCore.QSize(170, 0))
        self.spread_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.spread_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.spread_input.setMaximum(100000.0)
        self.spread_input.setProperty("value", 5.0)
        self.spread_input.setObjectName("spread_input")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.spread_input)
        self.dynamic_spread_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_wrap.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_wrap.setSizePolicy(sizePolicy)
        self.dynamic_spread_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.dynamic_spread_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.dynamic_spread_wrap.setObjectName("dynamic_spread_wrap")
        self.horizontalLayout_19 = QtWidgets.QHBoxLayout(self.dynamic_spread_wrap)
        self.horizontalLayout_19.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_19.setSpacing(0)
        self.horizontalLayout_19.setObjectName("horizontalLayout_19")
        spacerItem1 = QtWidgets.QSpacerItem(101, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_19.addItem(spacerItem1)
        self.dynamic_spread_tooltip = QtWidgets.QLabel(self.dynamic_spread_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_tooltip.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.dynamic_spread_tooltip.setFont(font)
        self.dynamic_spread_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.dynamic_spread_tooltip.setObjectName("dynamic_spread_tooltip")
        self.horizontalLayout_19.addWidget(self.dynamic_spread_tooltip)
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.LabelRole, self.dynamic_spread_wrap)
        self.dynamic_spread_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.dynamic_spread_input.setObjectName("dynamic_spread_input")
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.FieldRole, self.dynamic_spread_input)
        self.market_depth_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_wrap.sizePolicy().hasHeightForWidth())
        self.market_depth_wrap.setSizePolicy(sizePolicy)
        self.market_depth_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.market_depth_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.market_depth_wrap.setObjectName("market_depth_wrap")
        self.horizontalLayout_20 = QtWidgets.QHBoxLayout(self.market_depth_wrap)
        self.horizontalLayout_20.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_20.setSpacing(0)
        self.horizontalLayout_20.setObjectName("horizontalLayout_20")
        self.market_depth_amount_label = QtWidgets.QLabel(self.market_depth_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_amount_label.sizePolicy().hasHeightForWidth())
        self.market_depth_amount_label.setSizePolicy(sizePolicy)
        self.market_depth_amount_label.setMinimumSize(QtCore.QSize(0, 0))
        self.market_depth_amount_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.market_depth_amount_label.setWordWrap(True)
        self.market_depth_amount_label.setObjectName("market_depth_amount_label")
        self.horizontalLayout_20.addWidget(self.market_depth_amount_label)
        self.market_depth_amount_tooltip = QtWidgets.QLabel(self.market_depth_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_amount_tooltip.sizePolicy().hasHeightForWidth())
        self.market_depth_amount_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.market_depth_amount_tooltip.setFont(font)
        self.market_depth_amount_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.market_depth_amount_tooltip.setObjectName("market_depth_amount_tooltip")
        self.horizontalLayout_20.addWidget(self.market_depth_amount_tooltip)
        self.formLayout.setWidget(4, QtWidgets.QFormLayout.LabelRole, self.market_depth_wrap)
        self.market_depth_amount_input_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_amount_input_wrap.sizePolicy().hasHeightForWidth())
        self.market_depth_amount_input_wrap.setSizePolicy(sizePolicy)
        self.market_depth_amount_input_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.market_depth_amount_input_wrap.setObjectName("market_depth_amount_input_wrap")
        self.horizontalLayout_22 = QtWidgets.QHBoxLayout(self.market_depth_amount_input_wrap)
        self.horizontalLayout_22.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_22.setSpacing(9)
        self.horizontalLayout_22.setObjectName("horizontalLayout_22")
        self.market_depth_amount_input = QtWidgets.QDoubleSpinBox(self.market_depth_amount_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_amount_input.sizePolicy().hasHeightForWidth())
        self.market_depth_amount_input.setSizePolicy(sizePolicy)
        self.market_depth_amount_input.setMinimumSize(QtCore.QSize(170, 0))
        self.market_depth_amount_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.market_depth_amount_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.market_depth_amount_input.setDecimals(8)
        self.market_depth_amount_input.setMaximum(1000000000.0)
        self.market_depth_amount_input.setObjectName("market_depth_amount_input")
        self.horizontalLayout_22.addWidget(self.market_depth_amount_input)
        self.market_depth_amount_input_asset_label = QtWidgets.QLabel(self.market_depth_amount_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.market_depth_amount_input_asset_label.sizePolicy().hasHeightForWidth())
        self.market_depth_amount_input_asset_label.setSizePolicy(sizePolicy)
        self.market_depth_amount_input_asset_label.setMinimumSize(QtCore.QSize(120, 0))
        self.market_depth_amount_input_asset_label.setText("")
        self.market_depth_amount_input_asset_label.setObjectName("market_depth_amount_input_asset_label")
        self.horizontalLayout_22.addWidget(self.market_depth_amount_input_asset_label)
        self.formLayout.setWidget(4, QtWidgets.QFormLayout.FieldRole, self.market_depth_amount_input_wrap)
        self.dynamic_spread_factor_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_factor_wrap.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_factor_wrap.setSizePolicy(sizePolicy)
        self.dynamic_spread_factor_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.dynamic_spread_factor_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.dynamic_spread_factor_wrap.setObjectName("dynamic_spread_factor_wrap")
        self.horizontalLayout_21 = QtWidgets.QHBoxLayout(self.dynamic_spread_factor_wrap)
        self.horizontalLayout_21.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_21.setSpacing(0)
        self.horizontalLayout_21.setObjectName("horizontalLayout_21")
        self.dynamic_spread_factor_label = QtWidgets.QLabel(self.dynamic_spread_factor_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_factor_label.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_factor_label.setSizePolicy(sizePolicy)
        self.dynamic_spread_factor_label.setMinimumSize(QtCore.QSize(0, 0))
        self.dynamic_spread_factor_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.dynamic_spread_factor_label.setWordWrap(True)
        self.dynamic_spread_factor_label.setObjectName("dynamic_spread_factor_label")
        self.horizontalLayout_21.addWidget(self.dynamic_spread_factor_label)
        self.dynamic_spread_factor_tooltip = QtWidgets.QLabel(self.dynamic_spread_factor_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_factor_tooltip.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_factor_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.dynamic_spread_factor_tooltip.setFont(font)
        self.dynamic_spread_factor_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.dynamic_spread_factor_tooltip.setObjectName("dynamic_spread_factor_tooltip")
        self.horizontalLayout_21.addWidget(self.dynamic_spread_factor_tooltip)
        self.formLayout.setWidget(5, QtWidgets.QFormLayout.LabelRole, self.dynamic_spread_factor_wrap)
        self.dynamic_spread_factor_input = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dynamic_spread_factor_input.sizePolicy().hasHeightForWidth())
        self.dynamic_spread_factor_input.setSizePolicy(sizePolicy)
        self.dynamic_spread_factor_input.setMinimumSize(QtCore.QSize(170, 0))
        self.dynamic_spread_factor_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.dynamic_spread_factor_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.dynamic_spread_factor_input.setMinimum(0.01)
        self.dynamic_spread_factor_input.setMaximum(1000.0)
        self.dynamic_spread_factor_input.setProperty("value", 1.0)
        self.dynamic_spread_factor_input.setObjectName("dynamic_spread_factor_input")
        self.formLayout.setWidget(5, QtWidgets.QFormLayout.FieldRole, self.dynamic_spread_factor_input)
        self.center_price_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_wrap.sizePolicy().hasHeightForWidth())
        self.center_price_wrap.setSizePolicy(sizePolicy)
        self.center_price_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.center_price_wrap.setObjectName("center_price_wrap")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.center_price_wrap)
        self.horizontalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_3.setSpacing(0)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.center_price_label = QtWidgets.QLabel(self.center_price_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_label.sizePolicy().hasHeightForWidth())
        self.center_price_label.setSizePolicy(sizePolicy)
        self.center_price_label.setMinimumSize(QtCore.QSize(0, 0))
        self.center_price_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.center_price_label.setObjectName("center_price_label")
        self.horizontalLayout_3.addWidget(self.center_price_label)
        self.center_price_tooltip = QtWidgets.QLabel(self.center_price_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_tooltip.sizePolicy().hasHeightForWidth())
        self.center_price_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.center_price_tooltip.setFont(font)
        self.center_price_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.center_price_tooltip.setObjectName("center_price_tooltip")
        self.horizontalLayout_3.addWidget(self.center_price_tooltip)
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.LabelRole, self.center_price_wrap)
        self.center_price_input_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_input_wrap.sizePolicy().hasHeightForWidth())
        self.center_price_input_wrap.setSizePolicy(sizePolicy)
        self.center_price_input_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_input_wrap.setObjectName("center_price_input_wrap")
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout(self.center_price_input_wrap)
        self.horizontalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_7.setSpacing(9)
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.center_price_input = QtWidgets.QDoubleSpinBox(self.center_price_input_wrap)
        self.center_price_input.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_input.sizePolicy().hasHeightForWidth())
        self.center_price_input.setSizePolicy(sizePolicy)
        self.center_price_input.setMinimumSize(QtCore.QSize(170, 0))
        self.center_price_input.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.center_price_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.center_price_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.center_price_input.setAccelerated(False)
        self.center_price_input.setDecimals(8)
        self.center_price_input.setMinimum(0.0)
        self.center_price_input.setMaximum(999999999.999)
        self.center_price_input.setProperty("showGroupSeparator", False)
        self.center_price_input.setObjectName("center_price_input")
        self.horizontalLayout_7.addWidget(self.center_price_input)
        self.center_price_market_label = QtWidgets.QLabel(self.center_price_input_wrap)
        self.center_price_market_label.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_market_label.sizePolicy().hasHeightForWidth())
        self.center_price_market_label.setSizePolicy(sizePolicy)
        self.center_price_market_label.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_market_label.setText("")
        self.center_price_market_label.setObjectName("center_price_market_label")
        self.horizontalLayout_7.addWidget(self.center_price_market_label)
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.FieldRole, self.center_price_input_wrap)
        self.center_price_dynamic_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_dynamic_wrap.sizePolicy().hasHeightForWidth())
        self.center_price_dynamic_wrap.setSizePolicy(sizePolicy)
        self.center_price_dynamic_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_dynamic_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.center_price_dynamic_wrap.setObjectName("center_price_dynamic_wrap")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.center_price_dynamic_wrap)
        self.horizontalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem2 = QtWidgets.QSpacerItem(101, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem2)
        self.center_price_dynamic_tooltip = QtWidgets.QLabel(self.center_price_dynamic_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_dynamic_tooltip.sizePolicy().hasHeightForWidth())
        self.center_price_dynamic_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.center_price_dynamic_tooltip.setFont(font)
        self.center_price_dynamic_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.center_price_dynamic_tooltip.setObjectName("center_price_dynamic_tooltip")
        self.horizontalLayout_4.addWidget(self.center_price_dynamic_tooltip)
        self.formLayout.setWidget(7, QtWidgets.QFormLayout.LabelRole, self.center_price_dynamic_wrap)
        self.center_price_dynamic_input = QtWidgets.QCheckBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_dynamic_input.sizePolicy().hasHeightForWidth())
        self.center_price_dynamic_input.setSizePolicy(sizePolicy)
        self.center_price_dynamic_input.setChecked(True)
        self.center_price_dynamic_input.setTristate(False)
        self.center_price_dynamic_input.setObjectName("center_price_dynamic_input")
        self.formLayout.setWidget(7, QtWidgets.QFormLayout.FieldRole, self.center_price_dynamic_input)
        self.center_price_depth_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_wrap.sizePolicy().hasHeightForWidth())
        self.center_price_depth_wrap.setSizePolicy(sizePolicy)
        self.center_price_depth_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_depth_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.center_price_depth_wrap.setObjectName("center_price_depth_wrap")
        self.horizontalLayout_18 = QtWidgets.QHBoxLayout(self.center_price_depth_wrap)
        self.horizontalLayout_18.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_18.setSpacing(0)
        self.horizontalLayout_18.setObjectName("horizontalLayout_18")
        self.center_price_depth_label = QtWidgets.QLabel(self.center_price_depth_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_label.sizePolicy().hasHeightForWidth())
        self.center_price_depth_label.setSizePolicy(sizePolicy)
        self.center_price_depth_label.setMinimumSize(QtCore.QSize(0, 0))
        self.center_price_depth_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.center_price_depth_label.setWordWrap(True)
        self.center_price_depth_label.setObjectName("center_price_depth_label")
        self.horizontalLayout_18.addWidget(self.center_price_depth_label)
        self.center_price_depth_tooltip = QtWidgets.QLabel(self.center_price_depth_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_tooltip.sizePolicy().hasHeightForWidth())
        self.center_price_depth_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.center_price_depth_tooltip.setFont(font)
        self.center_price_depth_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.center_price_depth_tooltip.setObjectName("center_price_depth_tooltip")
        self.horizontalLayout_18.addWidget(self.center_price_depth_tooltip)
        self.formLayout.setWidget(8, QtWidgets.QFormLayout.LabelRole, self.center_price_depth_wrap)
        self.center_price_depth_input_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_input_wrap.sizePolicy().hasHeightForWidth())
        self.center_price_depth_input_wrap.setSizePolicy(sizePolicy)
        self.center_price_depth_input_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_depth_input_wrap.setObjectName("center_price_depth_input_wrap")
        self.horizontalLayout_24 = QtWidgets.QHBoxLayout(self.center_price_depth_input_wrap)
        self.horizontalLayout_24.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_24.setSpacing(9)
        self.horizontalLayout_24.setObjectName("horizontalLayout_24")
        self.center_price_depth_input = QtWidgets.QDoubleSpinBox(self.center_price_depth_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_input.sizePolicy().hasHeightForWidth())
        self.center_price_depth_input.setSizePolicy(sizePolicy)
        self.center_price_depth_input.setMinimumSize(QtCore.QSize(170, 0))
        self.center_price_depth_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.center_price_depth_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.center_price_depth_input.setDecimals(8)
        self.center_price_depth_input.setMaximum(1000000000.0)
        self.center_price_depth_input.setObjectName("center_price_depth_input")
        self.horizontalLayout_24.addWidget(self.center_price_depth_input)
        self.center_price_depth_input_asset_label = QtWidgets.QLabel(self.center_price_depth_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.center_price_depth_input_asset_label.sizePolicy().hasHeightForWidth())
        self.center_price_depth_input_asset_label.setSizePolicy(sizePolicy)
        self.center_price_depth_input_asset_label.setMinimumSize(QtCore.QSize(120, 0))
        self.center_price_depth_input_asset_label.setText("")
        self.center_price_depth_input_asset_label.setObjectName("center_price_depth_input_asset_label")
        self.horizontalLayout_24.addWidget(self.center_price_depth_input_asset_label)
        self.formLayout.setWidget(8, QtWidgets.QFormLayout.FieldRole, self.center_price_depth_input_wrap)
        self.last_order_center_price_wrap_3 = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.last_order_center_price_wrap_3.sizePolicy().hasHeightForWidth())
        self.last_order_center_price_wrap_3.setSizePolicy(sizePolicy)
        self.last_order_center_price_wrap_3.setMinimumSize(QtCore.QSize(120, 0))
        self.last_order_center_price_wrap_3.setMaximumSize(QtCore.QSize(120, 16777215))
        self.last_order_center_price_wrap_3.setObjectName("last_order_center_price_wrap_3")
        self.horizontalLayout_26 = QtWidgets.QHBoxLayout(self.last_order_center_price_wrap_3)
        self.horizontalLayout_26.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_26.setSpacing(0)
        self.horizontalLayout_26.setObjectName("horizontalLayout_26")
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_26.addItem(spacerItem3)
        self.last_order_center_price_tooltip_3 = QtWidgets.QLabel(self.last_order_center_price_wrap_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.last_order_center_price_tooltip_3.sizePolicy().hasHeightForWidth())
        self.last_order_center_price_tooltip_3.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.last_order_center_price_tooltip_3.setFont(font)
        self.last_order_center_price_tooltip_3.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.last_order_center_price_tooltip_3.setObjectName("last_order_center_price_tooltip_3")
        self.horizontalLayout_26.addWidget(self.last_order_center_price_tooltip_3)
        self.formLayout.setWidget(9, QtWidgets.QFormLayout.LabelRole, self.last_order_center_price_wrap_3)
        self.center_price_from_last_trade_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.center_price_from_last_trade_input.setObjectName("center_price_from_last_trade_input")
        self.formLayout.setWidget(9, QtWidgets.QFormLayout.FieldRole, self.center_price_from_last_trade_input)
        self.extrenal_feed_wrap_2 = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.extrenal_feed_wrap_2.sizePolicy().hasHeightForWidth())
        self.extrenal_feed_wrap_2.setSizePolicy(sizePolicy)
        self.extrenal_feed_wrap_2.setMinimumSize(QtCore.QSize(120, 0))
        self.extrenal_feed_wrap_2.setMaximumSize(QtCore.QSize(120, 16777215))
        self.extrenal_feed_wrap_2.setObjectName("extrenal_feed_wrap_2")
        self.horizontalLayout_25 = QtWidgets.QHBoxLayout(self.extrenal_feed_wrap_2)
        self.horizontalLayout_25.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_25.setSpacing(0)
        self.horizontalLayout_25.setObjectName("horizontalLayout_25")
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_25.addItem(spacerItem4)
        self.external_feed_tooltip_2 = QtWidgets.QLabel(self.extrenal_feed_wrap_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.external_feed_tooltip_2.sizePolicy().hasHeightForWidth())
        self.external_feed_tooltip_2.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.external_feed_tooltip_2.setFont(font)
        self.external_feed_tooltip_2.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.external_feed_tooltip_2.setObjectName("external_feed_tooltip_2")
        self.horizontalLayout_25.addWidget(self.external_feed_tooltip_2)
        self.formLayout.setWidget(10, QtWidgets.QFormLayout.LabelRole, self.extrenal_feed_wrap_2)
        self.external_feed_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.external_feed_input.setObjectName("external_feed_input")
        self.formLayout.setWidget(10, QtWidgets.QFormLayout.FieldRole, self.external_feed_input)
        self.external_feed_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.external_feed_wrap.sizePolicy().hasHeightForWidth())
        self.external_feed_wrap.setSizePolicy(sizePolicy)
        self.external_feed_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.external_feed_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.external_feed_wrap.setObjectName("external_feed_wrap")
        self.horizontalLayout_23 = QtWidgets.QHBoxLayout(self.external_feed_wrap)
        self.horizontalLayout_23.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_23.setSpacing(0)
        self.horizontalLayout_23.setObjectName("horizontalLayout_23")
        self.external_feed_label = QtWidgets.QLabel(self.external_feed_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.external_feed_label.sizePolicy().hasHeightForWidth())
        self.external_feed_label.setSizePolicy(sizePolicy)
        self.external_feed_label.setMinimumSize(QtCore.QSize(0, 0))
        self.external_feed_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.external_feed_label.setObjectName("external_feed_label")
        self.horizontalLayout_23.addWidget(self.external_feed_label)
        self.external_feed_tooltip = QtWidgets.QLabel(self.external_feed_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.external_feed_tooltip.sizePolicy().hasHeightForWidth())
        self.external_feed_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.external_feed_tooltip.setFont(font)
        self.external_feed_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.external_feed_tooltip.setObjectName("external_feed_tooltip")
        self.horizontalLayout_23.addWidget(self.external_feed_tooltip)
        self.formLayout.setWidget(11, QtWidgets.QFormLayout.LabelRole, self.external_feed_wrap)
        self.external_price_source_input = QtWidgets.QComboBox(self.groupBox_3)
        self.external_price_source_input.setEnabled(True)
        self.external_price_source_input.setMaximumSize(QtCore.QSize(170, 16777215))
        self.external_price_source_input.setObjectName("external_price_source_input")
        self.formLayout.setWidget(11, QtWidgets.QFormLayout.FieldRole, self.external_price_source_input)
        self.balance_offset_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.balance_offset_wrap.sizePolicy().hasHeightForWidth())
        self.balance_offset_wrap.setSizePolicy(sizePolicy)
        self.balance_offset_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.balance_offset_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.balance_offset_wrap.setObjectName("balance_offset_wrap")
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout(self.balance_offset_wrap)
        self.horizontalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_8.setSpacing(0)
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem5)
        self.balance_offset_tooltip = QtWidgets.QLabel(self.balance_offset_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.balance_offset_tooltip.sizePolicy().hasHeightForWidth())
        self.balance_offset_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.balance_offset_tooltip.setFont(font)
        self.balance_offset_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.balance_offset_tooltip.setObjectName("balance_offset_tooltip")
        self.horizontalLayout_8.addWidget(self.balance_offset_tooltip)
        self.formLayout.setWidget(12, QtWidgets.QFormLayout.LabelRole, self.balance_offset_wrap)
        self.center_price_offset_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.center_price_offset_input.setObjectName("center_price_offset_input")
        self.formLayout.setWidget(12, QtWidgets.QFormLayout.FieldRole, self.center_price_offset_input)
        self.manual_offset_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_wrap.sizePolicy().hasHeightForWidth())
        self.manual_offset_wrap.setSizePolicy(sizePolicy)
        self.manual_offset_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.manual_offset_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.manual_offset_wrap.setObjectName("manual_offset_wrap")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.manual_offset_wrap)
        self.horizontalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.manual_offset_label = QtWidgets.QLabel(self.manual_offset_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_label.sizePolicy().hasHeightForWidth())
        self.manual_offset_label.setSizePolicy(sizePolicy)
        self.manual_offset_label.setMinimumSize(QtCore.QSize(0, 0))
        self.manual_offset_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.manual_offset_label.setToolTip("")
        self.manual_offset_label.setWordWrap(True)
        self.manual_offset_label.setObjectName("manual_offset_label")
        self.horizontalLayout_5.addWidget(self.manual_offset_label)
        self.manual_offset_tooltip = QtWidgets.QLabel(self.manual_offset_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_tooltip.sizePolicy().hasHeightForWidth())
        self.manual_offset_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.manual_offset_tooltip.setFont(font)
        self.manual_offset_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.manual_offset_tooltip.setObjectName("manual_offset_tooltip")
        self.horizontalLayout_5.addWidget(self.manual_offset_tooltip)
        self.formLayout.setWidget(13, QtWidgets.QFormLayout.LabelRole, self.manual_offset_wrap)
        self.manual_offset_input_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_input_wrap.sizePolicy().hasHeightForWidth())
        self.manual_offset_input_wrap.setSizePolicy(sizePolicy)
        self.manual_offset_input_wrap.setMinimumSize(QtCore.QSize(290, 0))
        self.manual_offset_input_wrap.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.manual_offset_input_wrap.setObjectName("manual_offset_input_wrap")
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout(self.manual_offset_input_wrap)
        self.horizontalLayout_10.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        self.manual_offset_input = QtWidgets.QSlider(self.manual_offset_input_wrap)
        self.manual_offset_input.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_input.sizePolicy().hasHeightForWidth())
        self.manual_offset_input.setSizePolicy(sizePolicy)
        self.manual_offset_input.setMinimumSize(QtCore.QSize(250, 0))
        self.manual_offset_input.setMaximumSize(QtCore.QSize(145, 16777215))
        self.manual_offset_input.setStyleSheet("QSlider::groove:horizontal {\n"
"    border: 1px solid #999999;\n"
"    height: 8px; /* The groove expands to the size of the slider by default. by giving it a height, it has a fixed size */\n"
"    background: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #ffffff, stop:1 #ffffff);\n"
"    margin: 2px 0;\n"
"}\n"
"\n"
"QSlider::handle:horizontal {\n"
"    background: qlineargradient(x1:0, y1:0, x2:1, y2:1, stop:0 #bfc3c9, stop:1 #bfc3c9);\n"
"    border: 1px solid #5c5c5c;\n"
"    width: 18px;\n"
"    margin: -2px 0; /* Handle is placed by default on the contents rect of the groove. Expand outside the groove */\n"
"    border-radius: 3px;\n"
"}")
        self.manual_offset_input.setMinimum(-100)
        self.manual_offset_input.setMaximum(100)
        self.manual_offset_input.setSingleStep(1)
        self.manual_offset_input.setOrientation(QtCore.Qt.Horizontal)
        self.manual_offset_input.setInvertedAppearance(False)
        self.manual_offset_input.setInvertedControls(False)
        self.manual_offset_input.setTickPosition(QtWidgets.QSlider.TicksBelow)
        self.manual_offset_input.setTickInterval(20)
        self.manual_offset_input.setObjectName("manual_offset_input")
        self.horizontalLayout_10.addWidget(self.manual_offset_input)
        self.manual_offset_amount_label = QtWidgets.QLabel(self.manual_offset_input_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.manual_offset_amount_label.sizePolicy().hasHeightForWidth())
        self.manual_offset_amount_label.setSizePolicy(sizePolicy)
        self.manual_offset_amount_label.setMaximumSize(QtCore.QSize(40, 16777215))
        self.manual_offset_amount_label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.manual_offset_amount_label.setObjectName("manual_offset_amount_label")
        self.horizontalLayout_10.addWidget(self.manual_offset_amount_label)
        self.formLayout.setWidget(13, QtWidgets.QFormLayout.FieldRole, self.manual_offset_input_wrap)
        self.reset_on_partial_fill_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reset_on_partial_fill_wrap.sizePolicy().hasHeightForWidth())
        self.reset_on_partial_fill_wrap.setSizePolicy(sizePolicy)
        self.reset_on_partial_fill_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.reset_on_partial_fill_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.reset_on_partial_fill_wrap.setObjectName("reset_on_partial_fill_wrap")
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout(self.reset_on_partial_fill_wrap)
        self.horizontalLayout_12.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_12.setSpacing(0)
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_12.addItem(spacerItem6)
        self.reset_on_partial_fill_tooltip = QtWidgets.QLabel(self.reset_on_partial_fill_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reset_on_partial_fill_tooltip.sizePolicy().hasHeightForWidth())
        self.reset_on_partial_fill_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.reset_on_partial_fill_tooltip.setFont(font)
        self.reset_on_partial_fill_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.reset_on_partial_fill_tooltip.setObjectName("reset_on_partial_fill_tooltip")
        self.horizontalLayout_12.addWidget(self.reset_on_partial_fill_tooltip)
        self.formLayout.setWidget(14, QtWidgets.QFormLayout.LabelRole, self.reset_on_partial_fill_wrap)
        self.reset_on_partial_fill_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.reset_on_partial_fill_input.setObjectName("reset_on_partial_fill_input")
        self.formLayout.setWidget(14, QtWidgets.QFormLayout.FieldRole, self.reset_on_partial_fill_input)
        self.partial_fill_threshold_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.partial_fill_threshold_wrap.sizePolicy().hasHeightForWidth())
        self.partial_fill_threshold_wrap.setSizePolicy(sizePolicy)
        self.partial_fill_threshold_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.partial_fill_threshold_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.partial_fill_threshold_wrap.setObjectName("partial_fill_threshold_wrap")
        self.horizontalLayout_15 = QtWidgets.QHBoxLayout(self.partial_fill_threshold_wrap)
        self.horizontalLayout_15.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_15.setSpacing(0)
        self.horizontalLayout_15.setObjectName("horizontalLayout_15")
        self.partial_fill_threshold_label = QtWidgets.QLabel(self.partial_fill_threshold_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.partial_fill_threshold_label.sizePolicy().hasHeightForWidth())
        self.partial_fill_threshold_label.setSizePolicy(sizePolicy)
        self.partial_fill_threshold_label.setMinimumSize(QtCore.QSize(0, 0))
        self.partial_fill_threshold_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.partial_fill_threshold_label.setObjectName("partial_fill_threshold_label")
        self.horizontalLayout_15.addWidget(self.partial_fill_threshold_label)
        self.partial_fill_threshold_tooltip = QtWidgets.QLabel(self.partial_fill_threshold_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.partial_fill_threshold_tooltip.sizePolicy().hasHeightForWidth())
        self.partial_fill_threshold_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.partial_fill_threshold_tooltip.setFont(font)
        self.partial_fill_threshold_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.partial_fill_threshold_tooltip.setObjectName("partial_fill_threshold_tooltip")
        self.horizontalLayout_15.addWidget(self.partial_fill_threshold_tooltip)
        self.formLayout.setWidget(15, QtWidgets.QFormLayout.LabelRole, self.partial_fill_threshold_wrap)
        self.partial_fill_threshold_input = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.partial_fill_threshold_input.sizePolicy().hasHeightForWidth())
        self.partial_fill_threshold_input.setSizePolicy(sizePolicy)
        self.partial_fill_threshold_input.setMinimumSize(QtCore.QSize(170, 0))
        self.partial_fill_threshold_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.partial_fill_threshold_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.partial_fill_threshold_input.setMaximum(100.0)
        self.partial_fill_threshold_input.setProperty("value", 0.0)
        self.partial_fill_threshold_input.setObjectName("partial_fill_threshold_input")
        self.formLayout.setWidget(15, QtWidgets.QFormLayout.FieldRole, self.partial_fill_threshold_input)
        self.reset_on_price_change_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reset_on_price_change_wrap.sizePolicy().hasHeightForWidth())
        self.reset_on_price_change_wrap.setSizePolicy(sizePolicy)
        self.reset_on_price_change_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.reset_on_price_change_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.reset_on_price_change_wrap.setObjectName("reset_on_price_change_wrap")
        self.horizontalLayout_13 = QtWidgets.QHBoxLayout(self.reset_on_price_change_wrap)
        self.horizontalLayout_13.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_13.setSpacing(0)
        self.horizontalLayout_13.setObjectName("horizontalLayout_13")
        spacerItem7 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_13.addItem(spacerItem7)
        self.reset_on_price_change_tooltip = QtWidgets.QLabel(self.reset_on_price_change_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reset_on_price_change_tooltip.sizePolicy().hasHeightForWidth())
        self.reset_on_price_change_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.reset_on_price_change_tooltip.setFont(font)
        self.reset_on_price_change_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.reset_on_price_change_tooltip.setObjectName("reset_on_price_change_tooltip")
        self.horizontalLayout_13.addWidget(self.reset_on_price_change_tooltip)
        self.formLayout.setWidget(16, QtWidgets.QFormLayout.LabelRole, self.reset_on_price_change_wrap)
        self.reset_on_price_change_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.reset_on_price_change_input.setObjectName("reset_on_price_change_input")
        self.formLayout.setWidget(16, QtWidgets.QFormLayout.FieldRole, self.reset_on_price_change_input)
        self.price_change_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.price_change_wrap.sizePolicy().hasHeightForWidth())
        self.price_change_wrap.setSizePolicy(sizePolicy)
        self.price_change_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.price_change_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.price_change_wrap.setObjectName("price_change_wrap")
        self.horizontalLayout_16 = QtWidgets.QHBoxLayout(self.price_change_wrap)
        self.horizontalLayout_16.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_16.setSpacing(0)
        self.horizontalLayout_16.setObjectName("horizontalLayout_16")
        self.price_change_label = QtWidgets.QLabel(self.price_change_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.price_change_label.sizePolicy().hasHeightForWidth())
        self.price_change_label.setSizePolicy(sizePolicy)
        self.price_change_label.setMinimumSize(QtCore.QSize(0, 0))
        self.price_change_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.price_change_label.setObjectName("price_change_label")
        self.horizontalLayout_16.addWidget(self.price_change_label)
        self.price_change_tooltip = QtWidgets.QLabel(self.price_change_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.price_change_tooltip.sizePolicy().hasHeightForWidth())
        self.price_change_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.price_change_tooltip.setFont(font)
        self.price_change_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.price_change_tooltip.setObjectName("price_change_tooltip")
        self.horizontalLayout_16.addWidget(self.price_change_tooltip)
        self.formLayout.setWidget(17, QtWidgets.QFormLayout.LabelRole, self.price_change_wrap)
        self.price_change_threshold_input = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.price_change_threshold_input.sizePolicy().hasHeightForWidth())
        self.price_change_threshold_input.setSizePolicy(sizePolicy)
        self.price_change_threshold_input.setMinimumSize(QtCore.QSize(170, 0))
        self.price_change_threshold_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.price_change_threshold_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.price_change_threshold_input.setMaximum(100000.0)
        self.price_change_threshold_input.setProperty("value", 0.0)
        self.price_change_threshold_input.setObjectName("price_change_threshold_input")
        self.formLayout.setWidget(17, QtWidgets.QFormLayout.FieldRole, self.price_change_threshold_input)
        self.balance_offset_wrap_4 = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.balance_offset_wrap_4.sizePolicy().hasHeightForWidth())
        self.balance_offset_wrap_4.setSizePolicy(sizePolicy)
        self.balance_offset_wrap_4.setMinimumSize(QtCore.QSize(120, 0))
        self.balance_offset_wrap_4.setMaximumSize(QtCore.QSize(120, 16777215))
        self.balance_offset_wrap_4.setObjectName("balance_offset_wrap_4")
        self.horizontalLayout_14 = QtWidgets.QHBoxLayout(self.balance_offset_wrap_4)
        self.horizontalLayout_14.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_14.setSpacing(0)
        self.horizontalLayout_14.setObjectName("horizontalLayout_14")
        spacerItem8 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_14.addItem(spacerItem8)
        self.balance_offset_tooltip_4 = QtWidgets.QLabel(self.balance_offset_wrap_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.balance_offset_tooltip_4.sizePolicy().hasHeightForWidth())
        self.balance_offset_tooltip_4.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.balance_offset_tooltip_4.setFont(font)
        self.balance_offset_tooltip_4.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.balance_offset_tooltip_4.setObjectName("balance_offset_tooltip_4")
        self.horizontalLayout_14.addWidget(self.balance_offset_tooltip_4)
        self.formLayout.setWidget(18, QtWidgets.QFormLayout.LabelRole, self.balance_offset_wrap_4)
        self.custom_expiration_input = QtWidgets.QCheckBox(self.groupBox_3)
        self.custom_expiration_input.setObjectName("custom_expiration_input")
        self.formLayout.setWidget(18, QtWidgets.QFormLayout.FieldRole, self.custom_expiration_input)
        self.order_expiration_wrap = QtWidgets.QWidget(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_expiration_wrap.sizePolicy().hasHeightForWidth())
        self.order_expiration_wrap.setSizePolicy(sizePolicy)
        self.order_expiration_wrap.setMinimumSize(QtCore.QSize(120, 0))
        self.order_expiration_wrap.setMaximumSize(QtCore.QSize(120, 16777215))
        self.order_expiration_wrap.setObjectName("order_expiration_wrap")
        self.horizontalLayout_17 = QtWidgets.QHBoxLayout(self.order_expiration_wrap)
        self.horizontalLayout_17.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_17.setSpacing(0)
        self.horizontalLayout_17.setObjectName("horizontalLayout_17")
        self.order_expiration_label = QtWidgets.QLabel(self.order_expiration_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_expiration_label.sizePolicy().hasHeightForWidth())
        self.order_expiration_label.setSizePolicy(sizePolicy)
        self.order_expiration_label.setMinimumSize(QtCore.QSize(0, 0))
        self.order_expiration_label.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.order_expiration_label.setObjectName("order_expiration_label")
        self.horizontalLayout_17.addWidget(self.order_expiration_label)
        self.order_expiration_tooltip = QtWidgets.QLabel(self.order_expiration_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.order_expiration_tooltip.sizePolicy().hasHeightForWidth())
        self.order_expiration_tooltip.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.order_expiration_tooltip.setFont(font)
        self.order_expiration_tooltip.setCursor(QtGui.QCursor(QtCore.Qt.WhatsThisCursor))
        self.order_expiration_tooltip.setObjectName("order_expiration_tooltip")
        self.horizontalLayout_17.addWidget(self.order_expiration_tooltip)
        self.formLayout.setWidget(19, QtWidgets.QFormLayout.LabelRole, self.order_expiration_wrap)
        self.expiration_time_input = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.expiration_time_input.sizePolicy().hasHeightForWidth())
        self.expiration_time_input.setSizePolicy(sizePolicy)
        self.expiration_time_input.setMinimumSize(QtCore.QSize(170, 0))
        self.expiration_time_input.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.expiration_time_input.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.expiration_time_input.setSuffix("")
        self.expiration_time_input.setDecimals(0)
        self.expiration_time_input.setMaximum(100000000000.0)
        self.expiration_time_input.setProperty("value", 5.0)
        self.expiration_time_input.setObjectName("expiration_time_input")
        self.formLayout.setWidget(19, QtWidgets.QFormLayout.FieldRole, self.expiration_time_input)
        self.horizontalLayout.addWidget(self.groupBox_3)
        self.order_size_label.setBuddy(self.amount_input)
        self.spread_label.setBuddy(self.spread_input)
        self.market_depth_amount_label.setBuddy(self.center_price_input)
        self.dynamic_spread_factor_label.setBuddy(self.center_price_input)
        self.center_price_label.setBuddy(self.center_price_input)
        self.center_price_depth_label.setBuddy(self.center_price_input)
        self.external_feed_label.setBuddy(self.amount_input)
        self.partial_fill_threshold_label.setBuddy(self.center_price_input)
        self.price_change_label.setBuddy(self.center_price_input)
        self.order_expiration_label.setBuddy(self.center_price_input)

        self.retranslateUi(Form)
        self.external_price_source_input.setCurrentIndex(-1)
        QtCore.QMetaObject.connectSlotsByName(Form)
        Form.setTabOrder(self.amount_input, self.relative_order_size_input)
        Form.setTabOrder(self.relative_order_size_input, self.spread_input)
        Form.setTabOrder(self.spread_input, self.center_price_input)
        Form.setTabOrder(self.center_price_input, self.center_price_dynamic_input)
        Form.setTabOrder(self.center_price_dynamic_input, self.center_price_offset_input)
        Form.setTabOrder(self.center_price_offset_input, self.manual_offset_input)
        Form.setTabOrder(self.manual_offset_input, self.reset_on_partial_fill_input)
        Form.setTabOrder(self.reset_on_partial_fill_input, self.partial_fill_threshold_input)
        Form.setTabOrder(self.partial_fill_threshold_input, self.reset_on_price_change_input)
        Form.setTabOrder(self.reset_on_price_change_input, self.price_change_threshold_input)
        Form.setTabOrder(self.price_change_threshold_input, self.custom_expiration_input)
        Form.setTabOrder(self.custom_expiration_input, self.expiration_time_input)

    def retranslateUi(self, Form):
        _translate = QtCore.QCoreApplication.translate
        Form.setWindowTitle(_translate("Form", "Form"))
        self.groupBox_3.setTitle(_translate("Form", "Worker Parameters"))
        self.order_size_label.setText(_translate("Form", "Order size"))
        self.order_size_tooltip.setToolTip(_translate("Form", "Fixed order size, expressed in quote asset, unless \"relative order size\" selected"))
        self.order_size_tooltip.setText(_translate("Form", "?"))
        self.relative_order_size_tooltip.setToolTip(_translate("Form", "Amount is expressed as a percentage of the account balance of quote/base asset"))
        self.relative_order_size_tooltip.setText(_translate("Form", "?"))
        self.relative_order_size_input.setText(_translate("Form", "Relative order size"))
        self.spread_label.setText(_translate("Form", "Spread"))
        self.spread_tooltip.setToolTip(_translate("Form", "The percentage difference between buy and sell"))
        self.spread_tooltip.setText(_translate("Form", "?"))
        self.spread_input.setSuffix(_translate("Form", "%"))
        self.dynamic_spread_tooltip.setToolTip(_translate("Form", "Enable dynamic spread which overrides the spread field"))
        self.dynamic_spread_tooltip.setText(_translate("Form", "?"))
        self.dynamic_spread_input.setText(_translate("Form", "Dynamic spread"))
        self.market_depth_amount_label.setText(_translate("Form", "Market depth"))
        self.market_depth_amount_tooltip.setToolTip(_translate("Form", "From which depth will market spread be measured? (QUOTE amount)"))
        self.market_depth_amount_tooltip.setText(_translate("Form", "?"))
        self.dynamic_spread_factor_label.setText(_translate("Form", "Dynamic spread factor"))
        self.dynamic_spread_factor_tooltip.setToolTip(_translate("Form", "How many percent will own spread be compared to market spread?"))
        self.dynamic_spread_factor_tooltip.setText(_translate("Form", "?"))
        self.dynamic_spread_factor_input.setSuffix(_translate("Form", "%"))
        self.center_price_label.setText(_translate("Form", "Center price"))
        self.center_price_tooltip.setToolTip(_translate("Form", "Fixed center price expressed in base asset: base/quote"))
        self.center_price_tooltip.setText(_translate("Form", "?"))
        self.center_price_dynamic_tooltip.setToolTip(_translate("Form", "Estimate the center from closest opposite orders or from a depth"))
        self.center_price_dynamic_tooltip.setText(_translate("Form", "?"))
        self.center_price_dynamic_input.setText(_translate("Form", "Measure center price from market orders"))
        self.center_price_depth_label.setText(_translate("Form", "Measurement depth"))
        self.center_price_depth_tooltip.setToolTip(_translate("Form", "Cumulative quote amount from which depth center price will be measured"))
        self.center_price_depth_tooltip.setText(_translate("Form", "?"))
        self.last_order_center_price_tooltip_3.setToolTip(_translate("Form", "Use last filled order price as new center price"))
        self.last_order_center_price_tooltip_3.setText(_translate("Form", "?"))
        self.center_price_from_last_trade_input.setText(_translate("Form", "Last filled order price as new center price"))
        self.external_feed_tooltip_2.setToolTip(_translate("Form", "Use external reference price instead of center price acquired from the market"))
        self.external_feed_tooltip_2.setText(_translate("Form", "?"))
        self.external_feed_input.setText(_translate("Form", "Use external source for center price calculation"))
        self.external_feed_label.setText(_translate("Form", "External feed"))
        self.external_feed_tooltip.setToolTip(_translate("Form", "The bot will try to get price information from this source"))
        self.external_feed_tooltip.setText(_translate("Form", "?"))
        self.balance_offset_tooltip.setToolTip(_translate("Form", "Automatically adjust orders up or down based on the imbalance of your assets"))
        self.balance_offset_tooltip.setText(_translate("Form", "?"))
        self.center_price_offset_input.setText(_translate("Form", "Center price offset based on asset balances"))
        self.manual_offset_label.setText(_translate("Form", "Manual center price offset"))
        self.manual_offset_tooltip.setToolTip(_translate("Form", "Manually adjust orders up or down. Works independently of other offsets and doesn\'t override them"))
        self.manual_offset_tooltip.setText(_translate("Form", "?"))
        self.manual_offset_amount_label.setText(_translate("Form", "0 %"))
        self.reset_on_partial_fill_tooltip.setToolTip(_translate("Form", "Reset orders when buy or sell order is partially filled"))
        self.reset_on_partial_fill_tooltip.setText(_translate("Form", "?"))
        self.reset_on_partial_fill_input.setText(_translate("Form", "Reset orders on partial fill"))
        self.partial_fill_threshold_label.setText(_translate("Form", "Fill threshold"))
        self.partial_fill_threshold_tooltip.setToolTip(_translate("Form", "Order fill threshold to reset orders"))
        self.partial_fill_threshold_tooltip.setText(_translate("Form", "?"))
        self.partial_fill_threshold_input.setSuffix(_translate("Form", "%"))
        self.reset_on_price_change_tooltip.setToolTip(_translate("Form", "Reset orders when center price is changed more than threshold"))
        self.reset_on_price_change_tooltip.setText(_translate("Form", "?"))
        self.reset_on_price_change_input.setText(_translate("Form", "Reset orders on center price change"))
        self.price_change_label.setText(_translate("Form", "Price change"))
        self.price_change_tooltip.setToolTip(_translate("Form", "Define center price threshold to react on"))
        self.price_change_tooltip.setText(_translate("Form", "?"))
        self.price_change_threshold_input.setSuffix(_translate("Form", "%"))
        self.balance_offset_tooltip_4.setToolTip(_translate("Form", "Override order expiration time to trigger a reset"))
        self.balance_offset_tooltip_4.setText(_translate("Form", "?"))
        self.custom_expiration_input.setText(_translate("Form", "Custom expiration"))
        self.order_expiration_label.setText(_translate("Form", "Order expiration"))
        self.order_expiration_tooltip.setToolTip(_translate("Form", "Define custom order expiration time to force orders reset more often, seconds"))
        self.order_expiration_tooltip.setText(_translate("Form", "?"))

